libpoe-component-client-http-perl (0.949-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 19 Nov 2022 19:24:22 +0000

libpoe-component-client-http-perl (0.949-3) unstable; urgency=medium

  [ gregor herrmann ]
  * Remove Antonio Radici from Uploaders. Thanks for your work!
  * Remove Jonathan Yu from Uploaders. Thanks for your work!
  * Remove Jose Luis Rivas from Uploaders. Thanks for your work!

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * debian/watch: use uscan version 4.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 17 Jun 2022 08:21:21 +0100

libpoe-component-client-http-perl (0.949-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 14 Jun 2022 14:08:21 +0200

libpoe-component-client-http-perl (0.949-2) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Martín Ferrari ]
  * Remove myself from Uploaders.

  [ gregor herrmann ]
  * Update disable_network_tests.patch to disable a DNS query.
    Thanks to Chris Lamb for the bug report. (Closes: #830476)
  * Mark package as autopkgtest-able.
  * Update {alternative,versioned} (build) dependencies.
  * Update years of packaging copyright.
  * Bump debhelper compatibility level to 9.
  * Declare compliance with Debian Policy 3.9.8.

 -- gregor herrmann <gregoa@debian.org>  Sat, 16 Jul 2016 21:56:10 +0200

libpoe-component-client-http-perl (0.949-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Florian Schlichting ]
  * Import Upstream version 0.949
  * Bump copyright years
  * Declare compliance with Debian Policy 3.9.5

 -- Florian Schlichting <fsfs@debian.org>  Thu, 10 Jul 2014 17:59:29 +0200

libpoe-component-client-http-perl (0.948-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: update {versioned,alternative} (build) dependencies.

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Florian Schlichting ]
  * Imported Upstream version 0.948
  * Email change: Florian Schlichting -> fsfs@debian.org
  * Bumped Standards-Version to 3.9.4 (no change)
  * Updated copyright years

 -- Florian Schlichting <fsfs@debian.org>  Sun, 26 May 2013 15:29:41 +0200

libpoe-component-client-http-perl (0.947-1) unstable; urgency=low

  [ Florian Schlichting ]
  * Imported Upstream version 0.947.
  * Updated dependencies on libpoe-component-client-keepalive-perl,
    libsocket-getaddrinfo-perl / libsocket-perl.
  * Dropped fix-whatis-entry.patch, applied upstream.

  [ gregor herrmann ]
  * Drop patch Socket-GetAddrInfo.patch.

 -- gregor herrmann <gregoa@debian.org>  Fri, 29 Jun 2012 14:56:57 +0200

libpoe-component-client-http-perl (0.945-2) unstable; urgency=low

  * Add patch to deal with newer Socket::GetAddrInfo. (Closes: #678772)

 -- gregor herrmann <gregoa@debian.org>  Sun, 24 Jun 2012 16:45:51 +0200

libpoe-component-client-http-perl (0.945-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * New upstream release 0.944.
  * Bump (build-)dep on libpoe-component-client-keepalive-perl to >= 0.2680
    and libpoe-perl to >= 2:1.3120.
  * debian/control: Convert Vcs-* fields to Git.

  [ gregor herrmann ]
  * New upstream release 0.945.
  * Bump versioned (build) dependency on libpoe-component-client-
    keepalive-perl again.
  * Refresh fix-whatis-entry.patch (offset).
  * Update copyright years.
  * debian/copyright: update to Copyright-Format 1.0.
  * Bump Standards-Version to 3.9.3 (no changes).

  [ Florian Schlichting ]
  * Provide alternative for versioned dependency nowadays satisfied by Perl.
  * Forward fix-whatis-entry.patch upstream.
  * Added myself to uploaders and copyright.

 -- Florian Schlichting <fschlich@zedat.fu-berlin.de>  Fri, 13 Apr 2012 22:05:52 +0200

libpoe-component-client-http-perl (0.943-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * New upstream release.
  * Bump (build-)dep on libpoe-perl to >= 1:1.3110.
  * Bump (build-)dep on libpoe-component-client-keepalive-perl to >= 0.2670.

  [ gregor herrmann ]
  * Add t/01_ssl.t to disable_network_tests.patch (closes: #634593).
  * Set Standards-Version to 3.9.2 (no changes).
  * Bump debhelper compatibility level to 8.
  * Update patch headers.

 -- gregor herrmann <gregoa@debian.org>  Wed, 20 Jul 2011 18:59:18 +0200

libpoe-component-client-http-perl (0.942-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
  * Rewrite control description
  * Standards-Version 3.9.1 (no changes)
  * Use new 3.0 (quilt) source format
  * Remove libscan patch (upstream removed it)
  * Refresh copyright information
  * Rewrite control description
  * Email change: Jose Luis Rivas -> ghostbar@debian.org
  * Disable network tests by default, requiring HAS_INTERNET to be a
    true value in order to run
  * Add Build-Depends on POE::Component::SSLify (tests only)

  [ gregor herrmann ]
  * Remove version from libsocket-getaddrinfo-perl, nothing older in the
    archive.

 -- Jonathan Yu <jawnsy@cpan.org>  Sat, 26 Feb 2011 13:19:57 -0500

libpoe-component-client-http-perl (0.895-1) unstable; urgency=low

  * New upstream release
  * Update copyright to new DEP5 format
  * Simplify shebang-fixing override
  * Refresh whatis patch

 -- Jonathan Yu <jawnsy@cpan.org>  Mon, 15 Feb 2010 11:59:10 -0500

libpoe-component-client-http-perl (0.894-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
  * Standards-Version 3.8.4 (no changes)

  [ gregor herrmann ]
  * Refresh patches.

 -- Jonathan Yu <jawnsy@cpan.org>  Tue, 02 Feb 2010 12:19:00 -0500

libpoe-component-client-http-perl (0.893-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release

  [ Salvatore Bonaccorso ]
  * debian/control: Changed: Replace versioned (build-)dependency on
    perl (>= 5.6.0-{12,16}) with an unversioned dependency on perl (as
    permitted by Debian Policy 3.8.3).

  [ Ryan Niebur ]
  * Update jawnsy's email address

  [ gregor herrmann ]
  * debian/control: bump versioned (build) dependencies on libpoe-perl and
    libpoe-component-client-keepalive-perl.
  * Remove patch fix_long_lines.patch (applied upstream), refresh other
    patches.
  * New upstream release, works with newer libwww-perl.
  * Set Standards-Version to 3.8.3 (no changes).
  * Fix hashbang in example script.

 -- gregor herrmann <gregoa@debian.org>  Sat, 05 Dec 2009 12:04:27 +0100

libpoe-component-client-http-perl (0.890-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
    + If Content-Length is greater than MaxSize, or the length of the content
      is (in the case where there is no Content-Length header), then we return
      a 406 Not Acceptable error rather than truncated data (Fixes RT#26874)
    + Add text to differentiate internal errors from external server ones
  * Standards-Version 3.8.2 (no changes)
  * Rewrote control description
  * Added a version mangle so that future versions like will be zero-padded --
    this way 0.90 will become 0.900 and versions will be increasing
  * Add a patch to get rid of the pod2man issues (shorten the RT link)

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ gregor herrmann ]
  * debian/control: bump some versioned build dependencies as per new upstream
    requirements, and adjust version numbers to the versions we have in
    Debian.

 -- Jonathan Yu <frequency@cpan.org>  Tue, 04 Aug 2009 19:16:28 -0400

libpoe-component-client-http-perl (0.88-1) unstable; urgency=low

  [ Jose Luis Rivas ]
  * debian/rules:
    + Re-enabled tests, left out the ones that required internet connection.
  * debian/control:
    + Added libwww-perl, libpoe-perl, libpoe-component-client-keepalive-perl,
      libtest-pod-coverage-perl and libtest-pod-perl as B-P in order to build
      tests.
    + Bumped to 3.8.0 Standards-Version.
    + Added me as uploader.
   * Refreshed debian/copyright.

  [ Antonio Radici ]
  * New upstream release
  * debian/control:
    + added me as uploaded
    + dependency to libtest-poe-server-tcp added
    + debhelper dependency bumped to >= 7
  * debian/compat:
    + it was 5, now it is 7
  * debian/patches:
    + added descriptions to all patches to make lintian happy
  * debian/rules:
    + refreshed to dh 7, all tests enabled again
  * debian/copyright:
    + ported to the new format
  * libpoe-component-client-http-perl.examples:
    + dh-make-perl automatically added this example

  [ gregor herrmann ]
  * Add debian/README.source to document quilt usage.
  * debian/control:
    - wrap long line
    - switch Vcs-Browser field to ViewSVN
    - add ${misc:Depends} to Depends: field
    - bump versioned (build) dependency on
      libpoe-component-client-keepalive-perl to >= 0.25
  * debian/rules: unset http_proxy and friends, otherwise the tests can fail.
  * Refresh patch legacy_libscan_customisation_in_Makefile_PL.patch.
  * New patch disable_network_tests.patch: don't run tests which need internet
    access if NOINTERNET is set.

 -- gregor herrmann <gregoa@debian.org>  Tue, 10 Mar 2009 19:07:23 +0100

libpoe-component-client-http-perl (0.84-1) unstable; urgency=low

  * Fixed typo in debian/copyright.
  * Updated my email address.
  * New upstream release.

 -- Martín Ferrari <tincho@debian.org>  Fri, 06 Jun 2008 08:37:02 -0300

libpoe-component-client-http-perl (0.83-2) unstable; urgency=low

  * debian/rules:
    - add unpatch as a prerequisite to clean target
    - touch Makefile in clean target after unpatching Makefile.PL to prevent
      it from being re-built; allows building twice in a row
    - minor update; don't install README any more (no useful information for
      users of the Debian package)
  * Add /me to Uploaders.

 -- gregor herrmann <gregoa@debian.org>  Wed, 30 Apr 2008 23:05:58 +0200

libpoe-component-client-http-perl (0.83-1) unstable; urgency=low

  * debian/control: fix completely b0rked Vcs-* fields (my fault for not using
    the automated scripts).
  * New upstream release (upgrading libpoe-component-client-keepalive-perl
    dependency in debian/control as requested in META.yml).
  * Moving detected out-of-debian-tree patch (inherited from previous
    maintainer to
    debian/patches/legacy_libscan_customisation_in_Makefile_PL.patch (still
    dunno why it's there in the first place).
  * debian/control: move perl to Build-Depends-Indep.

 -- Martín Ferrari <martin.ferrari@gmail.com>  Wed, 23 Apr 2008 07:10:34 -0300

libpoe-component-client-http-perl (0.82-1) unstable; urgency=low

  [ Martín Ferrari ]
  * New upstream release, Closes: #329647.
  * Incorporating changes from NMU, thanks Michael Ablassmeier and Thijs
    Kinkhorst, Closes: #395463.
  * Taking over package maintenance by DPG, as requested by maintainer. See
    http://lists.debian.org/debian-perl/2008/02/msg00053.html.
  * Added watchfile.
  * debian/control:
    - Remove build-depends as test aren't run.
    - Increase debhelper version to 5.
    - Bump Standards-Version (no changes).
    - Improved short description.
    - add Homepage and Vcs-*.
  * debian/rules: almost from scratch.
  * debian/docs: moved to rules.

  [ Krzysztof Krzyżaniak (eloy) ]
  * debian/copyright:
   - fix copyright-lists-upstream-authors-with-dh_make-boilerplate lintian
     warning
  * debian/rules, debian/control, debian/patches/: fix lintian warning

 -- Martín Ferrari <martin.ferrari@gmail.com>  Fri, 15 Feb 2008 00:37:39 -0200

libpoe-component-client-http-perl (0.65-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Do not run tests as they require network access which is not
    acceptable. Upload based on patch by Thijs Kinkhorst, thanks.
    Closes: #393899

 -- Michael Ablassmeier <abi@debian.org>  Fri, 27 Oct 2006 09:14:54 +0200

libpoe-component-client-http-perl (0.65-1) unstable; urgency=low

  * New upstream release.

 -- Steve Kowalik <stevenk@debian.org>  Sun,  2 Jan 2005 03:42:17 +1100

libpoe-component-client-http-perl (0.64-2) unstable; urgency=low

  * Add netbase to Build-Depends. (Closes: #265724)
  * Add libscan to Makefile.PL to not include TLA files.

 -- Steve Kowalik <stevenk@debian.org>  Mon, 16 Aug 2004 12:11:20 +1000

libpoe-component-client-http-perl (0.64-1) unstable; urgency=low

  * New upstream release.
  * Remove obselete local-variables.
  * Rejig the debian/rules file.
  * Jump to debhelper version 4.

 -- Steve Kowalik <stevenk@debian.org>  Fri,  6 Aug 2004 17:56:08 +1000

libpoe-component-client-http-perl (0.52-1) unstable; urgency=low

  * New upstream release.
  * Change Section from interpreters to perl.
  * Kick to Standards-Version 3.5.9.

 -- Steve Kowalik <stevenk@debian.org>  Tue,  1 Apr 2003 13:38:48 +1000

libpoe-component-client-http-perl (0.51-1) unstable; urgency=low

  * New upstream release.
  * Fix up package so that isn't built as Debian-native.

 -- Steve Kowalik <stevenk@debian.org>  Fri, 27 Dec 2002 18:05:32 +1100

libpoe-component-client-http-perl (0.48-1) unstable; urgency=low

  * New upstream version. (Closes: #170787)
  * Move from Build-Depends to Build-Depends-Indep.
  * Bump Standards-Version to 3.5.8.

 -- Steve Kowalik <stevenk@debian.org>  Wed, 27 Nov 2002 00:38:23 +1100

libpoe-component-client-http-perl (0.46-3) unstable; urgency=low

  * Fix up Build-Depends, since libpoe-perl, liburi-perl, libwww-perl,
    and libnet-ssleay-perl needed to build. (Closes: #162741)
  * Also Depend on the same packages.
  * Bump to Standards-Version: 3.5.7.

 -- Steve Kowalik <stevenk@debian.org>  Sun, 29 Sep 2002 23:58:15 +1000

libpoe-component-client-http-perl (0.46-2) unstable; urgency=low

  * Finally change Maintainer address.
  * Fix copyright. (Closes: #157641)

 -- Steve Kowalik <stevenk@debian.org>  Wed, 21 Aug 2002 23:44:42 +1000

libpoe-component-client-http-perl (0.46-1) unstable; urgency=low

  * New upstream release
  * Build in build-indep. (Closes: #157503)

 -- Steve Kowalik <stevenk@debian.org>  Wed, 21 Aug 2002 23:29:43 +1000

libpoe-component-client-http-perl (0.41-2) unstable; urgency=low

  * Duh, depend on libpoe-perl. (Closes: #155765)

 -- Steve Kowalik <stevenk@debian.org>  Wed,  7 Aug 2002 22:25:24 +1000

libpoe-component-client-http-perl (0.41-1) unstable; urgency=low

  * New upstream release
  * Guess which bonehead missed 5 upstream releases?

 -- Steve Kowalik <stevenk@debian.org>  Fri, 29 Mar 2002 19:04:52 +1100

libpoe-component-client-http-perl (0.36-3) unstable; urgency=low

  * Fix copyright.

 -- Steve Kowalik <stevenk@hasnolife.com>  Sat, 14 Jul 2001 17:40:42 +1000

libpoe-component-client-http-perl (0.36-2) unstable; urgency=low

  * Bugger. Missed a document entry.

 -- Steve Kowalik <stevenk@hasnolife.com>  Thu,  5 Jul 2001 22:24:06 +1000

libpoe-component-client-http-perl (0.36-1) unstable; urgency=low

  * Initial Release.

 -- Steve Kowalik <stevenk@hasnolife.com>  Thu,  5 Jul 2001 22:16:57 +1000
